com.salesforce.datacloud.jdbc.core.accessor.impl

## Class BinaryVectorAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor
  - - com.salesforce.datacloud.jdbc.core.accessor.impl.BinaryVectorAccessor

All Implemented Interfaces:
  org.apache.calcite.avatica.util.Cursor.Accessor

    public class BinaryVectorAccessor
    extends QueryJDBCAccessor

### Field Summary

### Fields inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`wasNull, wasNullConsumer`

### Constructor Summary

Constructors
Constructor and Description
`BinaryVectorAccessor(org.apache.arrow.vector.FixedSizeBinaryVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`
`BinaryVectorAccessor(org.apache.arrow.vector.LargeVarBinaryVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`
`BinaryVectorAccessor(org.apache.arrow.vector.VarBinaryVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getBytes()`
`Object` `getObject()`
`Class<?>` `getObjectClass()`
`String` `getString()`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getCharacterStream, getClob, getCurrentRow, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryVectorAccessor

    public BinaryVectorAccessor(org.apache.arrow.vector.FixedSizeBinaryVector vector,
                                IntSupplier currentRowSupplier,
                                QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)

#### BinaryVectorAccessor

    public BinaryVectorAccessor(org.apache.arrow.vector.VarBinaryVector vector,
                                IntSupplier currentRowSupplier,
                                QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)

#### BinaryVectorAccessor

    public BinaryVectorAccessor(org.apache.arrow.vector.LargeVarBinaryVector vector,
                                IntSupplier currentRowSupplier,
                                QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)

### Method Detail

#### getBytes

    public byte[] getBytes()

Specified by:
  `getBytes` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getBytes` in class `QueryJDBCAccessor`

#### getObject

    public Object getObject()

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getObject` in class `QueryJDBCAccessor`

#### getObjectClass

    public Class<?> getObjectClass()

Specified by:
  `getObjectClass` in class `QueryJDBCAccessor`

#### getString

    public String getString()

Specified by:
  `getString` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getString` in class `QueryJDBCAccessor`